OgreShadowCaster.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreRenderable.h"`

Go to the source code of this file.

## Classes

class | Ogre::ShadowRenderable
| Class which represents the renderable aspects of a set of shadow volume faces. More...
class | Ogre::ShadowCaster
| This class defines the interface that must be implemented by shadow casters. More...

## Namespaces

namespace | Ogre

## Enumerations

enum | Ogre::ShadowRenderableFlags { Ogre::SRF_INCLUDE_LIGHT_CAP = 0x00000001, Ogre::SRF_INCLUDE_DARK_CAP = 0x00000002, Ogre::SRF_EXTRUDE_TO_INFINITY = 0x00000004 }
| A set of flags that can be used to influence ShadowRenderable creation. More...

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25